<template>
  <unauth-layout>
    <template #title>
      Регистрация
    </template>

    <form @submit.prevent="submit">
      <div class="form-field">
        <label for="email">Почта</label>
        <input-text
          id="email"
          v-model="email"
          label="Почта"
          type="text"
          autocomplete="email"
        />
      </div>
      <div class="form-field">
        <label for="password">Пароль</label>
        <input-text
          id="password"
          v-model="password"
          label="Пароль"
          type="password"
          autocomplete="current-password"
        />
      </div>
      <div>
        <prime-button type="submit">
          Подтвердить
        </prime-button>
      </div>
      <div>
        <router-link tag="prime-button" :to="'/login'">
          <prime-button type="button" class="p-button-link">
            Войти
          </prime-button>
        </router-link>
      </div>
    </form>
  </unauth-layout>
</template>

<script>
import { defineComponent } from '@vue/runtime-core';
import PrimeButton from 'primevue/button/Button.vue';
import InputText from 'primevue/inputtext/InputText.vue';
import { signup } from '@/api/handler/login';
import UnauthLayout from '@/layout/UnauthLayout.vue';

export default defineComponent({
  name: 'sign-up',
  components: {
    InputText,
    PrimeButton,
    UnauthLayout,
  },
  data() {
    return {
      email: '',
      password: '',
    };
  },
  methods: {
    async submit() {
      const res = await signup({ email: this.email, password: this.password });

      if (res.__state === 'success') {
        this.$router.push({ name: 'login' });
      }
    },
  },
});
</script>
